# PlEx: Plan Executions for FAIR Workflows

PlEx is an ontology profile that reuses classes and properties from several semantic models and does not include any new predicate. PlEX is grounded on DOLCE Ultra Lite (DUL), W3C PROV, P-PLAN and BPMN 2.0 semantic models. The most relevant ontology used is P-PLAN because it provides the most adequate abstract terminology to describe plans, i.e., the main building blocks. P-PLAN is extended from the PROV ontology, which is well-grounded in a high-quality top-level ontology (DOLCE) that facilitates the translations from the conceptual model. 
DOLCE Ultra-Lite (DUL) ontology also plays a relevant role and provide one of the main elements (dul:Workflow). A dul:Workflow is a p-plan:Plan that represents the top-level of a workflow (or protocol) version, which must be referenced as a whole, e.g., the OpenPREDICT workflow v0.2. Therefore, the intention of dul:Workflow is to classify whether the plan is a whole workflow.

Contact Info:

Tobias Kuhn: 
https://github.com/tkuhn

Michel Dumontier:
https://github.com/micheldumontier

Joao Moreira:
https://github.com/jonimoreira
